How to build pidgin-sipe plugin with audio and video support on ubuntu/linux mint

Tested with pidgin-sipe-1.17.0

First of all install all the dependencies:

sudo apt-get install libxml2-dev libnspr4-dev libnss3-dev libgstreamer0.10-dev libnice-dev libpurple-dev libnss3-dev libglib2.0-dev 

then check where libnspr4 was installed

sudo dpkg -L libnspr4

Then finally configure nspr paths accordingly, compile and install it:

./configure --prefix=/usr  --with-vv --with-nss-includes=/usr/include/nss --with-nss-libs=/usr/lib/x86_64-linux-gnu --with-nspr-includes=/usr/include/nspr --with-nspr-libs=/usr/lib/x86_64-linux-gnu
make
sudo make install

Hope it helps 🙂
If everything works fine then your Lync contact list should look like this:

pidgin with sipe-1.17.0

pidgin with sipe-1.17.0

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s